2020-10-25 03:53 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0006410Spring engineUnit Scriptingpublic2020-07-22 00:55
ReporterFLOZi 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006410: CEGs not displaying in 1542-gfdd9
DescriptionCEG called through EmitSfX are not being displayed.

Unit used in testing:
fs_jagermech_jm7f has the following CEGs (set in weapondefs_post):
1 - Jumpjet
2 - AC5 muzzleflash
3 - AC5 Muzzleflash
4 - MPL Muzzleflash
5 - MPL Muzzleflash
6 - death explosion
7 - black smoke
8 - sparks

When damaged, black smoke and sparks should be emitted.

Expected behavior (104.0, 104 1510) https://i.imgur.com/tTmVcKM.png

Current behaviour (104 1542) https://i.imgur.com/f8TOdI9.jpg No smoke emitted despite highly damaged arm.

Behaviour on 1510 was correct for this unit (though broken on any unit with more than 4 weapons due to overrunning the limit of 8 CEGs)
Steps To ReproduceIn MCL (rapid is game:mcl:test or from github https://github.com/SpringMCLegacy/SpringMCLegacy ), spawn a fs_jagermech_jm7f for team 1 and a mech for team 0 (I used fs_hollander<tab>) let them damage each other.



TagsNo tags attached.
Checked infolog.txt for ErrorsYes
Attached Files

-Relationships
+Relationships

-Notes

~0020482

Anonymous (viewer)

Fix 412be4f8c096323ff700f9c30be5a829e880e1ac committed to develop branch: fix 0006410, repo: spring changeset id: 37938

~0020483

Anonymous (viewer)

Fix e1f249fcca15003d6fbc9395c125a870d0e6949d committed to maintenance branch: fix 0006410, repo: spring changeset id: 37939

~0020484

Anonymous (viewer)

Fix 7e441582e6d9c1f4fa15d064e5ffac62fdad8ea2 committed to transition branch: fix 0006410, repo: spring changeset id: 37940
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2020-07-20 14:10 FLOZi New Issue
2020-07-21 15:28 Kloot Assigned To => Kloot
2020-07-21 15:28 Kloot Status new => assigned
2020-07-22 00:53 Changeset attached => spring develop 412be4f8
2020-07-22 00:53 Anonymous Note Added: 0020482
2020-07-22 00:53 Changeset attached => spring maintenance e1f249fc
2020-07-22 00:53 Anonymous Note Added: 0020483
2020-07-22 00:53 Changeset attached => spring transition 7e441582
2020-07-22 00:53 Anonymous Note Added: 0020484
2020-07-22 00:55 Kloot Status assigned => resolved
2020-07-22 00:55 Kloot Resolution open => fixed
2020-07-22 00:55 Kloot Fixed in Version => 104.0 +git
+Issue History